]> jfr.im git - irc/gameservirc.git/blob - gameserv/configure
Updated the Change log and added flags.h.
[irc/gameservirc.git] / gameserv / configure
1 #! /bin/sh
2 # Guess values for system-dependent variables and create Makefiles.
3 # Generated automatically using autoconf version 2.13
4 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
5 #
6 # This configure script is free software; the Free Software Foundation
7 # gives unlimited permission to copy, distribute and modify it.
8 # First run the config script:
9 ./.config
10
11 # Defaults:
12 ac_help=
13 ac_default_prefix=/usr/local
14 # Any additions from configure.in:
15
16 # Initialize some variables set by options.
17 # The variables have the same names as the options, with
18 # dashes changed to underlines.
19 build=NONE
20 cache_file=./config.cache
21 exec_prefix=NONE
22 host=NONE
23 no_create=
24 nonopt=NONE
25 no_recursion=
26 prefix=NONE
27 program_prefix=NONE
28 program_suffix=NONE
29 program_transform_name=s,x,x,
30 silent=
31 site=
32 srcdir=
33 target=NONE
34 verbose=
35 x_includes=NONE
36 x_libraries=NONE
37 bindir='${exec_prefix}/bin'
38 sbindir='${exec_prefix}/sbin'
39 libexecdir='${exec_prefix}/libexec'
40 datadir='${prefix}/share'
41 sysconfdir='${prefix}/etc'
42 sharedstatedir='${prefix}/com'
43 localstatedir='${prefix}/var'
44 libdir='${exec_prefix}/lib'
45 includedir='${prefix}/include'
46 oldincludedir='/usr/include'
47 infodir='${prefix}/info'
48 mandir='${prefix}/man'
49
50 # Initialize some other variables.
51 subdirs=
52 MFLAGS= MAKEFLAGS=
53 SHELL=${CONFIG_SHELL-/bin/sh}
54 # Maximum number of lines to put in a shell here document.
55 ac_max_here_lines=12
56
57 ac_prev=
58 for ac_option
59 do
60
61 # If the previous option needs an argument, assign it.
62 if test -n "$ac_prev"; then
63 eval "$ac_prev=\$ac_option"
64 ac_prev=
65 continue
66 fi
67
68 case "$ac_option" in
69 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
70 *) ac_optarg= ;;
71 esac
72
73 # Accept the important Cygnus configure options, so we can diagnose typos.
74
75 case "$ac_option" in
76
77 -bindir | --bindir | --bindi | --bind | --bin | --bi)
78 ac_prev=bindir ;;
79 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
80 bindir="$ac_optarg" ;;
81
82 -build | --build | --buil | --bui | --bu)
83 ac_prev=build ;;
84 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
85 build="$ac_optarg" ;;
86
87 -cache-file | --cache-file | --cache-fil | --cache-fi \
88 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
89 ac_prev=cache_file ;;
90 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
91 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
92 cache_file="$ac_optarg" ;;
93
94 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
95 ac_prev=datadir ;;
96 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
97 | --da=*)
98 datadir="$ac_optarg" ;;
99
100 -disable-* | --disable-*)
101 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
102 # Reject names that are not valid shell variable names.
103 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
104 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
105 fi
106 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
107 eval "enable_${ac_feature}=no" ;;
108
109 -enable-* | --enable-*)
110 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
111 # Reject names that are not valid shell variable names.
112 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
113 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
114 fi
115 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
116 case "$ac_option" in
117 *=*) ;;
118 *) ac_optarg=yes ;;
119 esac
120 eval "enable_${ac_feature}='$ac_optarg'" ;;
121
122 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
123 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
124 | --exec | --exe | --ex)
125 ac_prev=exec_prefix ;;
126 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
127 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
128 | --exec=* | --exe=* | --ex=*)
129 exec_prefix="$ac_optarg" ;;
130
131 -gas | --gas | --ga | --g)
132 # Obsolete; use --with-gas.
133 with_gas=yes ;;
134
135 -help | --help | --hel | --he)
136 # Omit some internal or obsolete options to make the list less imposing.
137 # This message is too long to be a string in the A/UX 3.1 sh.
138 cat << EOF
139 Usage: configure [options] [host]
140 Options: [defaults in brackets after descriptions]
141 Configuration:
142 --cache-file=FILE cache test results in FILE
143 --help print this message
144 --no-create do not create output files
145 --quiet, --silent do not print \`checking...' messages
146 --version print the version of autoconf that created configure
147 Directory and file names:
148 --prefix=PREFIX install architecture-independent files in PREFIX
149 [$ac_default_prefix]
150 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
151 [same as prefix]
152 --bindir=DIR user executables in DIR [EPREFIX/bin]
153 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
154 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
155 --datadir=DIR read-only architecture-independent data in DIR
156 [PREFIX/share]
157 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
158 --sharedstatedir=DIR modifiable architecture-independent data in DIR
159 [PREFIX/com]
160 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
161 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
162 --includedir=DIR C header files in DIR [PREFIX/include]
163 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
164 --infodir=DIR info documentation in DIR [PREFIX/info]
165 --mandir=DIR man documentation in DIR [PREFIX/man]
166 --srcdir=DIR find the sources in DIR [configure dir or ..]
167 --program-prefix=PREFIX prepend PREFIX to installed program names
168 --program-suffix=SUFFIX append SUFFIX to installed program names
169 --program-transform-name=PROGRAM
170 run sed PROGRAM on installed program names
171 EOF
172 cat << EOF
173 Host type:
174 --build=BUILD configure for building on BUILD [BUILD=HOST]
175 --host=HOST configure for HOST [guessed]
176 --target=TARGET configure for TARGET [TARGET=HOST]
177 Features and packages:
178 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
179 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
180 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
181 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
182 --x-includes=DIR X include files are in DIR
183 --x-libraries=DIR X library files are in DIR
184 EOF
185 if test -n "$ac_help"; then
186 echo "--enable and --with options recognized:$ac_help"
187 fi
188 exit 0 ;;
189
190 -host | --host | --hos | --ho)
191 ac_prev=host ;;
192 -host=* | --host=* | --hos=* | --ho=*)
193 host="$ac_optarg" ;;
194
195 -includedir | --includedir | --includedi | --included | --include \
196 | --includ | --inclu | --incl | --inc)
197 ac_prev=includedir ;;
198 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
199 | --includ=* | --inclu=* | --incl=* | --inc=*)
200 includedir="$ac_optarg" ;;
201
202 -infodir | --infodir | --infodi | --infod | --info | --inf)
203 ac_prev=infodir ;;
204 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
205 infodir="$ac_optarg" ;;
206
207 -libdir | --libdir | --libdi | --libd)
208 ac_prev=libdir ;;
209 -libdir=* | --libdir=* | --libdi=* | --libd=*)
210 libdir="$ac_optarg" ;;
211
212 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
213 | --libexe | --libex | --libe)
214 ac_prev=libexecdir ;;
215 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
216 | --libexe=* | --libex=* | --libe=*)
217 libexecdir="$ac_optarg" ;;
218
219 -localstatedir | --localstatedir | --localstatedi | --localstated \
220 | --localstate | --localstat | --localsta | --localst \
221 | --locals | --local | --loca | --loc | --lo)
222 ac_prev=localstatedir ;;
223 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
224 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
225 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
226 localstatedir="$ac_optarg" ;;
227
228 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
229 ac_prev=mandir ;;
230 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
231 mandir="$ac_optarg" ;;
232
233 -nfp | --nfp | --nf)
234 # Obsolete; use --without-fp.
235 with_fp=no ;;
236
237 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
238 | --no-cr | --no-c)
239 no_create=yes ;;
240
241 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
242 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
243 no_recursion=yes ;;
244
245 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
246 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
247 | --oldin | --oldi | --old | --ol | --o)
248 ac_prev=oldincludedir ;;
249 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
250 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
251 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
252 oldincludedir="$ac_optarg" ;;
253
254 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
255 ac_prev=prefix ;;
256 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
257 prefix="$ac_optarg" ;;
258
259 -program-prefix | --program-prefix | --program-prefi | --program-pref \
260 | --program-pre | --program-pr | --program-p)
261 ac_prev=program_prefix ;;
262 -program-prefix=* | --program-prefix=* | --program-prefi=* \
263 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
264 program_prefix="$ac_optarg" ;;
265
266 -program-suffix | --program-suffix | --program-suffi | --program-suff \
267 | --program-suf | --program-su | --program-s)
268 ac_prev=program_suffix ;;
269 -program-suffix=* | --program-suffix=* | --program-suffi=* \
270 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
271 program_suffix="$ac_optarg" ;;
272
273 -program-transform-name | --program-transform-name \
274 | --program-transform-nam | --program-transform-na \
275 | --program-transform-n | --program-transform- \
276 | --program-transform | --program-transfor \
277 | --program-transfo | --program-transf \
278 | --program-trans | --program-tran \
279 | --progr-tra | --program-tr | --program-t)
280 ac_prev=program_transform_name ;;
281 -program-transform-name=* | --program-transform-name=* \
282 | --program-transform-nam=* | --program-transform-na=* \
283 | --program-transform-n=* | --program-transform-=* \
284 | --program-transform=* | --program-transfor=* \
285 | --program-transfo=* | --program-transf=* \
286 | --program-trans=* | --program-tran=* \
287 | --progr-tra=* | --program-tr=* | --program-t=*)
288 program_transform_name="$ac_optarg" ;;
289
290 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
291 | -silent | --silent | --silen | --sile | --sil)
292 silent=yes ;;
293
294 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
295 ac_prev=sbindir ;;
296 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
297 | --sbi=* | --sb=*)
298 sbindir="$ac_optarg" ;;
299
300 -sharedstatedir | --sharedstatedir | --sharedstatedi \
301 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
302 | --sharedst | --shareds | --shared | --share | --shar \
303 | --sha | --sh)
304 ac_prev=sharedstatedir ;;
305 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
306 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
307 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
308 | --sha=* | --sh=*)
309 sharedstatedir="$ac_optarg" ;;
310
311 -site | --site | --sit)
312 ac_prev=site ;;
313 -site=* | --site=* | --sit=*)
314 site="$ac_optarg" ;;
315
316 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
317 ac_prev=srcdir ;;
318 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
319 srcdir="$ac_optarg" ;;
320
321 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
322 | --syscon | --sysco | --sysc | --sys | --sy)
323 ac_prev=sysconfdir ;;
324 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
325 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
326 sysconfdir="$ac_optarg" ;;
327
328 -target | --target | --targe | --targ | --tar | --ta | --t)
329 ac_prev=target ;;
330 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
331 target="$ac_optarg" ;;
332
333 -v | -verbose | --verbose | --verbos | --verbo | --verb)
334 verbose=yes ;;
335
336 -version | --version | --versio | --versi | --vers)
337 echo "configure generated by autoconf version 2.13"
338 exit 0 ;;
339
340 -with-* | --with-*)
341 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
342 # Reject names that are not valid shell variable names.
343 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
344 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
345 fi
346 ac_package=`echo $ac_package| sed 's/-/_/g'`
347 case "$ac_option" in
348 *=*) ;;
349 *) ac_optarg=yes ;;
350 esac
351 eval "with_${ac_package}='$ac_optarg'" ;;
352
353 -without-* | --without-*)
354 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
355 # Reject names that are not valid shell variable names.
356 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
357 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
358 fi
359 ac_package=`echo $ac_package| sed 's/-/_/g'`
360 eval "with_${ac_package}=no" ;;
361
362 --x)
363 # Obsolete; use --with-x.
364 with_x=yes ;;
365
366 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
367 | --x-incl | --x-inc | --x-in | --x-i)
368 ac_prev=x_includes ;;
369 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
370 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
371 x_includes="$ac_optarg" ;;
372
373 -x-libraries | --x-libraries | --x-librarie | --x-librari \
374 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
375 ac_prev=x_libraries ;;
376 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
377 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
378 x_libraries="$ac_optarg" ;;
379
380 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
381 ;;
382
383 *)
384 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
385 echo "configure: warning: $ac_option: invalid host type" 1>&2
386 fi
387 if test "x$nonopt" != xNONE; then
388 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
389 fi
390 nonopt="$ac_option"
391 ;;
392
393 esac
394 done
395
396 if test -n "$ac_prev"; then
397 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
398 fi
399
400 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
401
402 # File descriptor usage:
403 # 0 standard input
404 # 1 file creation
405 # 2 errors and warnings
406 # 3 some systems may open it to /dev/tty
407 # 4 used on the Kubota Titan
408 # 6 checking for... messages and results
409 # 5 compiler messages saved in config.log
410 if test "$silent" = yes; then
411 exec 6>/dev/null
412 else
413 exec 6>&1
414 fi
415 exec 5>./config.log
416
417 echo "\
418 This file contains any messages produced by compilers while
419 running configure, to aid debugging if configure makes a mistake.
420 " 1>&5
421
422 # Strip out --no-create and --no-recursion so they do not pile up.
423 # Also quote any args containing shell metacharacters.
424 ac_configure_args=
425 for ac_arg
426 do
427 case "$ac_arg" in
428 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
429 | --no-cr | --no-c) ;;
430 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
431 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
432 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
433 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
434 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
435 esac
436 done
437
438 # NLS nuisances.
439 # Only set these to C if already set. These must not be set unconditionally
440 # because not all systems understand e.g. LANG=C (notably SCO).
441 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
442 # Non-C LC_CTYPE values break the ctype check.
443 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
444 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
445 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
446 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
447
448 # confdefs.h avoids OS command line length limits that DEFS can exceed.
449 rm -rf conftest* confdefs.h
450 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
451 echo > confdefs.h
452
453 # A filename unique to this package, relative to the directory that
454 # configure is in, which we can look for to find out if srcdir is correct.
455 ac_unique_file=aClient.cpp
456
457 # Find the source files, if location was not specified.
458 if test -z "$srcdir"; then
459 ac_srcdir_defaulted=yes
460 # Try the directory containing this script, then its parent.
461 ac_prog=$0
462 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
463 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
464 srcdir=$ac_confdir
465 if test ! -r $srcdir/$ac_unique_file; then
466 srcdir=..
467 fi
468 else
469 ac_srcdir_defaulted=no
470 fi
471 if test ! -r $srcdir/$ac_unique_file; then
472 if test "$ac_srcdir_defaulted" = yes; then
473 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
474 else
475 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
476 fi
477 fi
478 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
479
480 # Prefer explicitly selected file to automatically selected ones.
481 if test -z "$CONFIG_SITE"; then
482 if test "x$prefix" != xNONE; then
483 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
484 else
485 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
486 fi
487 fi
488 for ac_site_file in $CONFIG_SITE; do
489 if test -r "$ac_site_file"; then
490 echo "loading site script $ac_site_file"
491 . "$ac_site_file"
492 fi
493 done
494
495 if test -r "$cache_file"; then
496 echo "loading cache $cache_file"
497 . $cache_file
498 else
499 echo "creating cache $cache_file"
500 > $cache_file
501 fi
502
503 ac_ext=c
504 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
505 ac_cpp='$CPP $CPPFLAGS'
506 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
507 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
508 cross_compiling=$ac_cv_prog_cc_cross
509
510 ac_exeext=
511 ac_objext=o
512 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
513 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
514 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
515 ac_n= ac_c='
516 ' ac_t=' '
517 else
518 ac_n=-n ac_c= ac_t=
519 fi
520 else
521 ac_n= ac_c='\c' ac_t=
522 fi
523
524
525
526
527
528 for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
529 do
530 # Extract the first word of "$ac_prog", so it can be a program name with args.
531 set dummy $ac_prog; ac_word=$2
532 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
533 echo "configure:533: checking for $ac_word" >&5
534 if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
535 echo $ac_n "(cached) $ac_c" 1>&6
536 else
537 if test -n "$CXX"; then
538 ac_cv_prog_CXX="$CXX" # Let the user override the test.
539 else
540 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
541 ac_dummy="$PATH"
542 for ac_dir in $ac_dummy; do
543 test -z "$ac_dir" && ac_dir=.
544 if test -f $ac_dir/$ac_word; then
545 ac_cv_prog_CXX="$ac_prog"
546 break
547 fi
548 done
549 IFS="$ac_save_ifs"
550 fi
551 fi
552 CXX="$ac_cv_prog_CXX"
553 if test -n "$CXX"; then
554 echo "$ac_t""$CXX" 1>&6
555 else
556 echo "$ac_t""no" 1>&6
557 fi
558
559 test -n "$CXX" && break
560 done
561 test -n "$CXX" || CXX="gcc"
562
563
564 echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
565 echo "configure:565: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
566
567 ac_ext=C
568 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
569 ac_cpp='$CXXCPP $CPPFLAGS'
570 ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
571 ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
572 cross_compiling=$ac_cv_prog_cxx_cross
573
574 cat > conftest.$ac_ext << EOF
575
576 #line 576 "configure"
577 #include "confdefs.h"
578
579 int main(){return(0);}
580 EOF
581 if { (eval echo configure:581: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
582 ac_cv_prog_cxx_works=yes
583 # If we can't run a trivial program, we are probably using a cross compiler.
584 if (./conftest; exit) 2>/dev/null; then
585 ac_cv_prog_cxx_cross=no
586 else
587 ac_cv_prog_cxx_cross=yes
588 fi
589 else
590 echo "configure: failed program was:" >&5
591 cat conftest.$ac_ext >&5
592 ac_cv_prog_cxx_works=no
593 fi
594 rm -fr conftest*
595 ac_ext=c
596 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
597 ac_cpp='$CPP $CPPFLAGS'
598 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
599 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
600 cross_compiling=$ac_cv_prog_cc_cross
601
602 echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
603 if test $ac_cv_prog_cxx_works = no; then
604 { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
605 fi
606 echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
607 echo "configure:607: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
608 echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
609 cross_compiling=$ac_cv_prog_cxx_cross
610
611 echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
612 echo "configure:612: checking whether we are using GNU C++" >&5
613 if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
614 echo $ac_n "(cached) $ac_c" 1>&6
615 else
616 cat > conftest.C <<EOF
617 #ifdef __GNUC__
618 yes;
619 #endif
620 EOF
621 if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:621: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
622 ac_cv_prog_gxx=yes
623 else
624 ac_cv_prog_gxx=no
625 fi
626 fi
627
628 echo "$ac_t""$ac_cv_prog_gxx" 1>&6
629
630 if test $ac_cv_prog_gxx = yes; then
631 GXX=yes
632 else
633 GXX=
634 fi
635
636 ac_test_CXXFLAGS="${CXXFLAGS+set}"
637 ac_save_CXXFLAGS="$CXXFLAGS"
638 CXXFLAGS=
639 echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
640 echo "configure:640: checking whether ${CXX-g++} accepts -g" >&5
641 if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
642 echo $ac_n "(cached) $ac_c" 1>&6
643 else
644 echo 'void f(){}' > conftest.cc
645 if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
646 ac_cv_prog_cxx_g=yes
647 else
648 ac_cv_prog_cxx_g=no
649 fi
650 rm -f conftest*
651
652 fi
653
654 echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
655 if test "$ac_test_CXXFLAGS" = set; then
656 CXXFLAGS="$ac_save_CXXFLAGS"
657 elif test $ac_cv_prog_cxx_g = yes; then
658 if test "$GXX" = yes; then
659 CXXFLAGS="-g -O2"
660 else
661 CXXFLAGS="-g"
662 fi
663 else
664 if test "$GXX" = yes; then
665 CXXFLAGS="-O2"
666 else
667 CXXFLAGS=
668 fi
669 fi
670
671 echo $ac_n "checking how to run the C++ preprocessor""... $ac_c" 1>&6
672 echo "configure:672: checking how to run the C++ preprocessor" >&5
673 if test -z "$CXXCPP"; then
674 if eval "test \"`echo '$''{'ac_cv_prog_CXXCPP'+set}'`\" = set"; then
675 echo $ac_n "(cached) $ac_c" 1>&6
676 else
677 ac_ext=C
678 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
679 ac_cpp='$CXXCPP $CPPFLAGS'
680 ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
681 ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
682 cross_compiling=$ac_cv_prog_cxx_cross
683 CXXCPP="${CXX-g++} -E"
684 cat > conftest.$ac_ext <<EOF
685 #line 685 "configure"
686 #include "confdefs.h"
687 #include <stdlib.h>
688 EOF
689 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
690 { (eval echo configure:690: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
691 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
692 if test -z "$ac_err"; then
693 :
694 else
695 echo "$ac_err" >&5
696 echo "configure: failed program was:" >&5
697 cat conftest.$ac_ext >&5
698 rm -rf conftest*
699 CXXCPP=/lib/cpp
700 fi
701 rm -f conftest*
702 ac_cv_prog_CXXCPP="$CXXCPP"
703 ac_ext=c
704 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
705 ac_cpp='$CPP $CPPFLAGS'
706 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
707 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
708 cross_compiling=$ac_cv_prog_cc_cross
709 fi
710 fi
711 CXXCPP="$ac_cv_prog_CXXCPP"
712 echo "$ac_t""$CXXCPP" 1>&6
713
714 # Extract the first word of "gcc", so it can be a program name with args.
715 set dummy gcc; ac_word=$2
716 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
717 echo "configure:717: checking for $ac_word" >&5
718 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
719 echo $ac_n "(cached) $ac_c" 1>&6
720 else
721 if test -n "$CC"; then
722 ac_cv_prog_CC="$CC" # Let the user override the test.
723 else
724 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
725 ac_dummy="$PATH"
726 for ac_dir in $ac_dummy; do
727 test -z "$ac_dir" && ac_dir=.
728 if test -f $ac_dir/$ac_word; then
729 ac_cv_prog_CC="gcc"
730 break
731 fi
732 done
733 IFS="$ac_save_ifs"
734 fi
735 fi
736 CC="$ac_cv_prog_CC"
737 if test -n "$CC"; then
738 echo "$ac_t""$CC" 1>&6
739 else
740 echo "$ac_t""no" 1>&6
741 fi
742
743 if test -z "$CC"; then
744 # Extract the first word of "cc", so it can be a program name with args.
745 set dummy cc; ac_word=$2
746 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
747 echo "configure:747: checking for $ac_word" >&5
748 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
749 echo $ac_n "(cached) $ac_c" 1>&6
750 else
751 if test -n "$CC"; then
752 ac_cv_prog_CC="$CC" # Let the user override the test.
753 else
754 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
755 ac_prog_rejected=no
756 ac_dummy="$PATH"
757 for ac_dir in $ac_dummy; do
758 test -z "$ac_dir" && ac_dir=.
759 if test -f $ac_dir/$ac_word; then
760 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
761 ac_prog_rejected=yes
762 continue
763 fi
764 ac_cv_prog_CC="cc"
765 break
766 fi
767 done
768 IFS="$ac_save_ifs"
769 if test $ac_prog_rejected = yes; then
770 # We found a bogon in the path, so make sure we never use it.
771 set dummy $ac_cv_prog_CC
772 shift
773 if test $# -gt 0; then
774 # We chose a different compiler from the bogus one.
775 # However, it has the same basename, so the bogon will be chosen
776 # first if we set CC to just the basename; use the full file name.
777 shift
778 set dummy "$ac_dir/$ac_word" "$@"
779 shift
780 ac_cv_prog_CC="$@"
781 fi
782 fi
783 fi
784 fi
785 CC="$ac_cv_prog_CC"
786 if test -n "$CC"; then
787 echo "$ac_t""$CC" 1>&6
788 else
789 echo "$ac_t""no" 1>&6
790 fi
791
792 if test -z "$CC"; then
793 case "`uname -s`" in
794 *win32* | *WIN32*)
795 # Extract the first word of "cl", so it can be a program name with args.
796 set dummy cl; ac_word=$2
797 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
798 echo "configure:798: checking for $ac_word" >&5
799 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
800 echo $ac_n "(cached) $ac_c" 1>&6
801 else
802 if test -n "$CC"; then
803 ac_cv_prog_CC="$CC" # Let the user override the test.
804 else
805 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
806 ac_dummy="$PATH"
807 for ac_dir in $ac_dummy; do
808 test -z "$ac_dir" && ac_dir=.
809 if test -f $ac_dir/$ac_word; then
810 ac_cv_prog_CC="cl"
811 break
812 fi
813 done
814 IFS="$ac_save_ifs"
815 fi
816 fi
817 CC="$ac_cv_prog_CC"
818 if test -n "$CC"; then
819 echo "$ac_t""$CC" 1>&6
820 else
821 echo "$ac_t""no" 1>&6
822 fi
823 ;;
824 esac
825 fi
826 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
827 fi
828
829 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
830 echo "configure:830: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
831
832 ac_ext=c
833 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
834 ac_cpp='$CPP $CPPFLAGS'
835 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
836 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
837 cross_compiling=$ac_cv_prog_cc_cross
838
839 cat > conftest.$ac_ext << EOF
840
841 #line 841 "configure"
842 #include "confdefs.h"
843
844 main(){return(0);}
845 EOF
846 if { (eval echo configure:846: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
847 ac_cv_prog_cc_works=yes
848 # If we can't run a trivial program, we are probably using a cross compiler.
849 if (./conftest; exit) 2>/dev/null; then
850 ac_cv_prog_cc_cross=no
851 else
852 ac_cv_prog_cc_cross=yes
853 fi
854 else
855 echo "configure: failed program was:" >&5
856 cat conftest.$ac_ext >&5
857 ac_cv_prog_cc_works=no
858 fi
859 rm -fr conftest*
860 ac_ext=c
861 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
862 ac_cpp='$CPP $CPPFLAGS'
863 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
864 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
865 cross_compiling=$ac_cv_prog_cc_cross
866
867 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
868 if test $ac_cv_prog_cc_works = no; then
869 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
870 fi
871 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
872 echo "configure:872: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
873 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
874 cross_compiling=$ac_cv_prog_cc_cross
875
876 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
877 echo "configure:877: checking whether we are using GNU C" >&5
878 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
879 echo $ac_n "(cached) $ac_c" 1>&6
880 else
881 cat > conftest.c <<EOF
882 #ifdef __GNUC__
883 yes;
884 #endif
885 EOF
886 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:886: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
887 ac_cv_prog_gcc=yes
888 else
889 ac_cv_prog_gcc=no
890 fi
891 fi
892
893 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
894
895 if test $ac_cv_prog_gcc = yes; then
896 GCC=yes
897 else
898 GCC=
899 fi
900
901 ac_test_CFLAGS="${CFLAGS+set}"
902 ac_save_CFLAGS="$CFLAGS"
903 CFLAGS=
904 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
905 echo "configure:905: checking whether ${CC-cc} accepts -g" >&5
906 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
907 echo $ac_n "(cached) $ac_c" 1>&6
908 else
909 echo 'void f(){}' > conftest.c
910 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
911 ac_cv_prog_cc_g=yes
912 else
913 ac_cv_prog_cc_g=no
914 fi
915 rm -f conftest*
916
917 fi
918
919 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
920 if test "$ac_test_CFLAGS" = set; then
921 CFLAGS="$ac_save_CFLAGS"
922 elif test $ac_cv_prog_cc_g = yes; then
923 if test "$GCC" = yes; then
924 CFLAGS="-g -O2"
925 else
926 CFLAGS="-g"
927 fi
928 else
929 if test "$GCC" = yes; then
930 CFLAGS="-O2"
931 else
932 CFLAGS=
933 fi
934 fi
935
936
937 echo $ac_n "checking for crypt in -lcrypt""... $ac_c" 1>&6
938 echo "configure:938: checking for crypt in -lcrypt" >&5
939 ac_lib_var=`echo crypt'_'crypt | sed 'y%./+-%__p_%'`
940 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
941 echo $ac_n "(cached) $ac_c" 1>&6
942 else
943 ac_save_LIBS="$LIBS"
944 LIBS="-lcrypt $LIBS"
945 cat > conftest.$ac_ext <<EOF
946 #line 946 "configure"
947 #include "confdefs.h"
948 /* Override any gcc2 internal prototype to avoid an error. */
949 /* We use char because int might match the return type of a gcc2
950 builtin and then its argument prototype would still apply. */
951 char crypt();
952
953 int main() {
954 crypt()
955 ; return 0; }
956 EOF
957 if { (eval echo configure:957: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
958 rm -rf conftest*
959 eval "ac_cv_lib_$ac_lib_var=yes"
960 else
961 echo "configure: failed program was:" >&5
962 cat conftest.$ac_ext >&5
963 rm -rf conftest*
964 eval "ac_cv_lib_$ac_lib_var=no"
965 fi
966 rm -f conftest*
967 LIBS="$ac_save_LIBS"
968
969 fi
970 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
971 echo "$ac_t""yes" 1>&6
972 ac_tr_lib=HAVE_LIB`echo crypt | sed -e 's/[^a-zA-Z0-9_]/_/g' \
973 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
974 cat >> confdefs.h <<EOF
975 #define $ac_tr_lib 1
976 EOF
977
978 LIBS="-lcrypt $LIBS"
979
980 else
981 echo "$ac_t""no" 1>&6
982 fi
983
984
985 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
986 echo "configure:986: checking how to run the C preprocessor" >&5
987 # On Suns, sometimes $CPP names a directory.
988 if test -n "$CPP" && test -d "$CPP"; then
989 CPP=
990 fi
991 if test -z "$CPP"; then
992 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
993 echo $ac_n "(cached) $ac_c" 1>&6
994 else
995 # This must be in double quotes, not single quotes, because CPP may get
996 # substituted into the Makefile and "${CC-cc}" will confuse make.
997 CPP="${CC-cc} -E"
998 # On the NeXT, cc -E runs the code through the compiler's parser,
999 # not just through cpp.
1000 cat > conftest.$ac_ext <<EOF
1001 #line 1001 "configure"
1002 #include "confdefs.h"
1003 #include <assert.h>
1004 Syntax Error
1005 EOF
1006 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1007 { (eval echo configure:1007: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1008 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1009 if test -z "$ac_err"; then
1010 :
1011 else
1012 echo "$ac_err" >&5
1013 echo "configure: failed program was:" >&5
1014 cat conftest.$ac_ext >&5
1015 rm -rf conftest*
1016 CPP="${CC-cc} -E -traditional-cpp"
1017 cat > conftest.$ac_ext <<EOF
1018 #line 1018 "configure"
1019 #include "confdefs.h"
1020 #include <assert.h>
1021 Syntax Error
1022 EOF
1023 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1024 { (eval echo configure:1024: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1025 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1026 if test -z "$ac_err"; then
1027 :
1028 else
1029 echo "$ac_err" >&5
1030 echo "configure: failed program was:" >&5
1031 cat conftest.$ac_ext >&5
1032 rm -rf conftest*
1033 CPP="${CC-cc} -nologo -E"
1034 cat > conftest.$ac_ext <<EOF
1035 #line 1035 "configure"
1036 #include "confdefs.h"
1037 #include <assert.h>
1038 Syntax Error
1039 EOF
1040 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1041 { (eval echo configure:1041: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1042 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1043 if test -z "$ac_err"; then
1044 :
1045 else
1046 echo "$ac_err" >&5
1047 echo "configure: failed program was:" >&5
1048 cat conftest.$ac_ext >&5
1049 rm -rf conftest*
1050 CPP=/lib/cpp
1051 fi
1052 rm -f conftest*
1053 fi
1054 rm -f conftest*
1055 fi
1056 rm -f conftest*
1057 ac_cv_prog_CPP="$CPP"
1058 fi
1059 CPP="$ac_cv_prog_CPP"
1060 else
1061 ac_cv_prog_CPP="$CPP"
1062 fi
1063 echo "$ac_t""$CPP" 1>&6
1064
1065 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
1066 echo "configure:1066: checking for ANSI C header files" >&5
1067 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
1068 echo $ac_n "(cached) $ac_c" 1>&6
1069 else
1070 cat > conftest.$ac_ext <<EOF
1071 #line 1071 "configure"
1072 #include "confdefs.h"
1073 #include <stdlib.h>
1074 #include <stdarg.h>
1075 #include <string.h>
1076 #include <float.h>
1077 EOF
1078 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1079 { (eval echo configure:1079: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1080 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1081 if test -z "$ac_err"; then
1082 rm -rf conftest*
1083 ac_cv_header_stdc=yes
1084 else
1085 echo "$ac_err" >&5
1086 echo "configure: failed program was:" >&5
1087 cat conftest.$ac_ext >&5
1088 rm -rf conftest*
1089 ac_cv_header_stdc=no
1090 fi
1091 rm -f conftest*
1092
1093 if test $ac_cv_header_stdc = yes; then
1094 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1095 cat > conftest.$ac_ext <<EOF
1096 #line 1096 "configure"
1097 #include "confdefs.h"
1098 #include <string.h>
1099 EOF
1100 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1101 egrep "memchr" >/dev/null 2>&1; then
1102 :
1103 else
1104 rm -rf conftest*
1105 ac_cv_header_stdc=no
1106 fi
1107 rm -f conftest*
1108
1109 fi
1110
1111 if test $ac_cv_header_stdc = yes; then
1112 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1113 cat > conftest.$ac_ext <<EOF
1114 #line 1114 "configure"
1115 #include "confdefs.h"
1116 #include <stdlib.h>
1117 EOF
1118 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1119 egrep "free" >/dev/null 2>&1; then
1120 :
1121 else
1122 rm -rf conftest*
1123 ac_cv_header_stdc=no
1124 fi
1125 rm -f conftest*
1126
1127 fi
1128
1129 if test $ac_cv_header_stdc = yes; then
1130 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1131 if test "$cross_compiling" = yes; then
1132 :
1133 else
1134 cat > conftest.$ac_ext <<EOF
1135 #line 1135 "configure"
1136 #include "confdefs.h"
1137 #include <ctype.h>
1138 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1139 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1140 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1141 int main () { int i; for (i = 0; i < 256; i++)
1142 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1143 exit (0); }
1144
1145 EOF
1146 if { (eval echo configure:1146: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1147 then
1148 :
1149 else
1150 echo "configure: failed program was:" >&5
1151 cat conftest.$ac_ext >&5
1152 rm -fr conftest*
1153 ac_cv_header_stdc=no
1154 fi
1155 rm -fr conftest*
1156 fi
1157
1158 fi
1159 fi
1160
1161 echo "$ac_t""$ac_cv_header_stdc" 1>&6
1162 if test $ac_cv_header_stdc = yes; then
1163 cat >> confdefs.h <<\EOF
1164 #define STDC_HEADERS 1
1165 EOF
1166
1167 fi
1168
1169 echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
1170 echo "configure:1170: checking whether time.h and sys/time.h may both be included" >&5
1171 if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
1172 echo $ac_n "(cached) $ac_c" 1>&6
1173 else
1174 cat > conftest.$ac_ext <<EOF
1175 #line 1175 "configure"
1176 #include "confdefs.h"
1177 #include <sys/types.h>
1178 #include <sys/time.h>
1179 #include <time.h>
1180 int main() {
1181 struct tm *tp;
1182 ; return 0; }
1183 EOF
1184 if { (eval echo configure:1184: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1185 rm -rf conftest*
1186 ac_cv_header_time=yes
1187 else
1188 echo "configure: failed program was:" >&5
1189 cat conftest.$ac_ext >&5
1190 rm -rf conftest*
1191 ac_cv_header_time=no
1192 fi
1193 rm -f conftest*
1194 fi
1195
1196 echo "$ac_t""$ac_cv_header_time" 1>&6
1197 if test $ac_cv_header_time = yes; then
1198 cat >> confdefs.h <<\EOF
1199 #define TIME_WITH_SYS_TIME 1
1200 EOF
1201
1202 fi
1203
1204 for ac_hdr in limits.h unistd.h crypt.h
1205 do
1206 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1207 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1208 echo "configure:1208: checking for $ac_hdr" >&5
1209 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1210 echo $ac_n "(cached) $ac_c" 1>&6
1211 else
1212 cat > conftest.$ac_ext <<EOF
1213 #line 1213 "configure"
1214 #include "confdefs.h"
1215 #include <$ac_hdr>
1216 EOF
1217 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1218 { (eval echo configure:1218: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1219 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1220 if test -z "$ac_err"; then
1221 rm -rf conftest*
1222 eval "ac_cv_header_$ac_safe=yes"
1223 else
1224 echo "$ac_err" >&5
1225 echo "configure: failed program was:" >&5
1226 cat conftest.$ac_ext >&5
1227 rm -rf conftest*
1228 eval "ac_cv_header_$ac_safe=no"
1229 fi
1230 rm -f conftest*
1231 fi
1232 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1233 echo "$ac_t""yes" 1>&6
1234 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1235 cat >> confdefs.h <<EOF
1236 #define $ac_tr_hdr 1
1237 EOF
1238
1239 else
1240 echo "$ac_t""no" 1>&6
1241 fi
1242 done
1243
1244
1245 echo $ac_n "checking for working const""... $ac_c" 1>&6
1246 echo "configure:1246: checking for working const" >&5
1247 if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
1248 echo $ac_n "(cached) $ac_c" 1>&6
1249 else
1250 cat > conftest.$ac_ext <<EOF
1251 #line 1251 "configure"
1252 #include "confdefs.h"
1253
1254 int main() {
1255
1256 /* Ultrix mips cc rejects this. */
1257 typedef int charset[2]; const charset x;
1258 /* SunOS 4.1.1 cc rejects this. */
1259 char const *const *ccp;
1260 char **p;
1261 /* NEC SVR4.0.2 mips cc rejects this. */
1262 struct point {int x, y;};
1263 static struct point const zero = {0,0};
1264 /* AIX XL C 1.02.0.0 rejects this.
1265 It does not let you subtract one const X* pointer from another in an arm
1266 of an if-expression whose if-part is not a constant expression */
1267 const char *g = "string";
1268 ccp = &g + (g ? g-g : 0);
1269 /* HPUX 7.0 cc rejects these. */
1270 ++ccp;
1271 p = (char**) ccp;
1272 ccp = (char const *const *) p;
1273 { /* SCO 3.2v4 cc rejects this. */
1274 char *t;
1275 char const *s = 0 ? (char *) 0 : (char const *) 0;
1276
1277 *t++ = 0;
1278 }
1279 { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
1280 int x[] = {25, 17};
1281 const int *foo = &x[0];
1282 ++foo;
1283 }
1284 { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1285 typedef const int *iptr;
1286 iptr p = 0;
1287 ++p;
1288 }
1289 { /* AIX XL C 1.02.0.0 rejects this saying
1290 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1291 struct s { int j; const int *ap[3]; };
1292 struct s *b; b->j = 5;
1293 }
1294 { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1295 const int foo = 10;
1296 }
1297
1298 ; return 0; }
1299 EOF
1300 if { (eval echo configure:1300: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1301 rm -rf conftest*
1302 ac_cv_c_const=yes
1303 else
1304 echo "configure: failed program was:" >&5
1305 cat conftest.$ac_ext >&5
1306 rm -rf conftest*
1307 ac_cv_c_const=no
1308 fi
1309 rm -f conftest*
1310 fi
1311
1312 echo "$ac_t""$ac_cv_c_const" 1>&6
1313 if test $ac_cv_c_const = no; then
1314 cat >> confdefs.h <<\EOF
1315 #define const
1316 EOF
1317
1318 fi
1319
1320 echo $ac_n "checking for size_t""... $ac_c" 1>&6
1321 echo "configure:1321: checking for size_t" >&5
1322 if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1323 echo $ac_n "(cached) $ac_c" 1>&6
1324 else
1325 cat > conftest.$ac_ext <<EOF
1326 #line 1326 "configure"
1327 #include "confdefs.h"
1328 #include <sys/types.h>
1329 #if STDC_HEADERS
1330 #include <stdlib.h>
1331 #include <stddef.h>
1332 #endif
1333 EOF
1334 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1335 egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1336 rm -rf conftest*
1337 ac_cv_type_size_t=yes
1338 else
1339 rm -rf conftest*
1340 ac_cv_type_size_t=no
1341 fi
1342 rm -f conftest*
1343
1344 fi
1345 echo "$ac_t""$ac_cv_type_size_t" 1>&6
1346 if test $ac_cv_type_size_t = no; then
1347 cat >> confdefs.h <<\EOF
1348 #define size_t unsigned
1349 EOF
1350
1351 fi
1352
1353
1354 for ac_func in socket strcspn strspn strtol strtok
1355 do
1356 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1357 echo "configure:1357: checking for $ac_func" >&5
1358 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1359 echo $ac_n "(cached) $ac_c" 1>&6
1360 else
1361 cat > conftest.$ac_ext <<EOF
1362 #line 1362 "configure"
1363 #include "confdefs.h"
1364 /* System header to define __stub macros and hopefully few prototypes,
1365 which can conflict with char $ac_func(); below. */
1366 #include <assert.h>
1367 /* Override any gcc2 internal prototype to avoid an error. */
1368 /* We use char because int might match the return type of a gcc2
1369 builtin and then its argument prototype would still apply. */
1370 char $ac_func();
1371
1372 int main() {
1373
1374 /* The GNU C library defines this for functions which it implements
1375 to always fail with ENOSYS. Some functions are actually named
1376 something starting with __ and the normal name is an alias. */
1377 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1378 choke me
1379 #else
1380 $ac_func();
1381 #endif
1382
1383 ; return 0; }
1384 EOF
1385 if { (eval echo configure:1385: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1386 rm -rf conftest*
1387 eval "ac_cv_func_$ac_func=yes"
1388 else
1389 echo "configure: failed program was:" >&5
1390 cat conftest.$ac_ext >&5
1391 rm -rf conftest*
1392 eval "ac_cv_func_$ac_func=no"
1393 fi
1394 rm -f conftest*
1395 fi
1396
1397 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1398 echo "$ac_t""yes" 1>&6
1399 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1400 cat >> confdefs.h <<EOF
1401 #define $ac_tr_func 1
1402 EOF
1403
1404 else
1405 echo "$ac_t""no" 1>&6
1406 fi
1407 done
1408
1409 trap '' 1 2 15
1410 cat > confcache <<\EOF
1411 # This file is a shell script that caches the results of configure
1412 # tests run on this system so they can be shared between configure
1413 # scripts and configure runs. It is not useful on other systems.
1414 # If it contains results you don't want to keep, you may remove or edit it.
1415 #
1416 # By default, configure uses ./config.cache as the cache file,
1417 # creating it if it does not exist already. You can give configure
1418 # the --cache-file=FILE option to use a different cache file; that is
1419 # what configure does when it calls configure scripts in
1420 # subdirectories, so they share the cache.
1421 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1422 # config.status only pays attention to the cache file if you give it the
1423 # --recheck option to rerun configure.
1424 #
1425 EOF
1426 # The following way of writing the cache mishandles newlines in values,
1427 # but we know of no workaround that is simple, portable, and efficient.
1428 # So, don't put newlines in cache variables' values.
1429 # Ultrix sh set writes to stderr and can't be redirected directly,
1430 # and sets the high bit in the cache file unless we assign to the vars.
1431 (set) 2>&1 |
1432 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1433 *ac_space=\ *)
1434 # `set' does not quote correctly, so add quotes (double-quote substitution
1435 # turns \\\\ into \\, and sed turns \\ into \).
1436 sed -n \
1437 -e "s/'/'\\\\''/g" \
1438 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1439 ;;
1440 *)
1441 # `set' quotes correctly as required by POSIX, so do not add quotes.
1442 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1443 ;;
1444 esac >> confcache
1445 if cmp -s $cache_file confcache; then
1446 :
1447 else
1448 if test -w $cache_file; then
1449 echo "updating cache $cache_file"
1450 cat confcache > $cache_file
1451 else
1452 echo "not updating unwritable cache $cache_file"
1453 fi
1454 fi
1455 rm -f confcache
1456
1457 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1458
1459 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1460 # Let make expand exec_prefix.
1461 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1462
1463 # Any assignment to VPATH causes Sun make to only execute
1464 # the first set of double-colon rules, so remove it if not needed.
1465 # If there is a colon in the path, we need to keep it.
1466 if test "x$srcdir" = x.; then
1467 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1468 fi
1469
1470 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1471
1472 DEFS=-DHAVE_CONFIG_H
1473
1474 # Without the "./", some shells look in PATH for config.status.
1475 : ${CONFIG_STATUS=./config.status}
1476
1477 echo creating $CONFIG_STATUS
1478 rm -f $CONFIG_STATUS
1479 cat > $CONFIG_STATUS <<EOF
1480 #! /bin/sh
1481 # Generated automatically by configure.
1482 # Run this file to recreate the current configuration.
1483 # This directory was configured as follows,
1484 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1485 #
1486 # $0 $ac_configure_args
1487 #
1488 # Compiler output produced by configure, useful for debugging
1489 # configure, is in ./config.log if it exists.
1490
1491 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1492 for ac_option
1493 do
1494 case "\$ac_option" in
1495 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1496 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1497 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1498 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1499 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1500 exit 0 ;;
1501 -help | --help | --hel | --he | --h)
1502 echo "\$ac_cs_usage"; exit 0 ;;
1503 *) echo "\$ac_cs_usage"; exit 1 ;;
1504 esac
1505 done
1506
1507 ac_given_srcdir=$srcdir
1508
1509 trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1510 EOF
1511 cat >> $CONFIG_STATUS <<EOF
1512
1513 # Protect against being on the right side of a sed subst in config.status.
1514 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1515 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1516 $ac_vpsub
1517 $extrasub
1518 s%@SHELL@%$SHELL%g
1519 s%@CFLAGS@%$CFLAGS%g
1520 s%@CPPFLAGS@%$CPPFLAGS%g
1521 s%@CXXFLAGS@%$CXXFLAGS%g
1522 s%@FFLAGS@%$FFLAGS%g
1523 s%@DEFS@%$DEFS%g
1524 s%@LDFLAGS@%$LDFLAGS%g
1525 s%@LIBS@%$LIBS%g
1526 s%@exec_prefix@%$exec_prefix%g
1527 s%@prefix@%$prefix%g
1528 s%@program_transform_name@%$program_transform_name%g
1529 s%@bindir@%$bindir%g
1530 s%@sbindir@%$sbindir%g
1531 s%@libexecdir@%$libexecdir%g
1532 s%@datadir@%$datadir%g
1533 s%@sysconfdir@%$sysconfdir%g
1534 s%@sharedstatedir@%$sharedstatedir%g
1535 s%@localstatedir@%$localstatedir%g
1536 s%@libdir@%$libdir%g
1537 s%@includedir@%$includedir%g
1538 s%@oldincludedir@%$oldincludedir%g
1539 s%@infodir@%$infodir%g
1540 s%@mandir@%$mandir%g
1541 s%@CXX@%$CXX%g
1542 s%@CXXCPP@%$CXXCPP%g
1543 s%@CC@%$CC%g
1544 s%@CPP@%$CPP%g
1545
1546 CEOF
1547 EOF
1548
1549 cat >> $CONFIG_STATUS <<\EOF
1550
1551 # Split the substitutions into bite-sized pieces for seds with
1552 # small command number limits, like on Digital OSF/1 and HP-UX.
1553 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1554 ac_file=1 # Number of current file.
1555 ac_beg=1 # First line for current file.
1556 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1557 ac_more_lines=:
1558 ac_sed_cmds=""
1559 while $ac_more_lines; do
1560 if test $ac_beg -gt 1; then
1561 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1562 else
1563 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1564 fi
1565 if test ! -s conftest.s$ac_file; then
1566 ac_more_lines=false
1567 rm -f conftest.s$ac_file
1568 else
1569 if test -z "$ac_sed_cmds"; then
1570 ac_sed_cmds="sed -f conftest.s$ac_file"
1571 else
1572 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1573 fi
1574 ac_file=`expr $ac_file + 1`
1575 ac_beg=$ac_end
1576 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1577 fi
1578 done
1579 if test -z "$ac_sed_cmds"; then
1580 ac_sed_cmds=cat
1581 fi
1582 EOF
1583
1584 cat >> $CONFIG_STATUS <<EOF
1585
1586 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1587 EOF
1588 cat >> $CONFIG_STATUS <<\EOF
1589 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1590 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1591 case "$ac_file" in
1592 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1593 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1594 *) ac_file_in="${ac_file}.in" ;;
1595 esac
1596
1597 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1598
1599 # Remove last slash and all that follows it. Not all systems have dirname.
1600 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1601 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1602 # The file is in a subdirectory.
1603 test ! -d "$ac_dir" && mkdir "$ac_dir"
1604 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1605 # A "../" for each directory in $ac_dir_suffix.
1606 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1607 else
1608 ac_dir_suffix= ac_dots=
1609 fi
1610
1611 case "$ac_given_srcdir" in
1612 .) srcdir=.
1613 if test -z "$ac_dots"; then top_srcdir=.
1614 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1615 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1616 *) # Relative path.
1617 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1618 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1619 esac
1620
1621
1622 echo creating "$ac_file"
1623 rm -f "$ac_file"
1624 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1625 case "$ac_file" in
1626 *Makefile*) ac_comsub="1i\\
1627 # $configure_input" ;;
1628 *) ac_comsub= ;;
1629 esac
1630
1631 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1632 sed -e "$ac_comsub
1633 s%@configure_input@%$configure_input%g
1634 s%@srcdir@%$srcdir%g
1635 s%@top_srcdir@%$top_srcdir%g
1636 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1637 fi; done
1638 rm -f conftest.s*
1639
1640 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1641 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1642 #
1643 # ac_d sets the value in "#define NAME VALUE" lines.
1644 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1645 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1646 ac_dC='\3'
1647 ac_dD='%g'
1648 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1649 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1650 ac_uB='\([ ]\)%\1#\2define\3'
1651 ac_uC=' '
1652 ac_uD='\4%g'
1653 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1654 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1655 ac_eB='$%\1#\2define\3'
1656 ac_eC=' '
1657 ac_eD='%g'
1658
1659 if test "${CONFIG_HEADERS+set}" != set; then
1660 EOF
1661 cat >> $CONFIG_STATUS <<EOF
1662 CONFIG_HEADERS="config.h"
1663 EOF
1664 cat >> $CONFIG_STATUS <<\EOF
1665 fi
1666 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1667 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1668 case "$ac_file" in
1669 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1670 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1671 *) ac_file_in="${ac_file}.in" ;;
1672 esac
1673
1674 echo creating $ac_file
1675
1676 rm -f conftest.frag conftest.in conftest.out
1677 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1678 cat $ac_file_inputs > conftest.in
1679
1680 EOF
1681
1682 # Transform confdefs.h into a sed script conftest.vals that substitutes
1683 # the proper values into config.h.in to produce config.h. And first:
1684 # Protect against being on the right side of a sed subst in config.status.
1685 # Protect against being in an unquoted here document in config.status.
1686 rm -f conftest.vals
1687 cat > conftest.hdr <<\EOF
1688 s/[\\&%]/\\&/g
1689 s%[\\$`]%\\&%g
1690 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1691 s%ac_d%ac_u%gp
1692 s%ac_u%ac_e%gp
1693 EOF
1694 sed -n -f conftest.hdr confdefs.h > conftest.vals
1695 rm -f conftest.hdr
1696
1697 # This sed command replaces #undef with comments. This is necessary, for
1698 # example, in the case of _POSIX_SOURCE, which is predefined and required
1699 # on some systems where configure will not decide to define it.
1700 cat >> conftest.vals <<\EOF
1701 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1702 EOF
1703
1704 # Break up conftest.vals because some shells have a limit on
1705 # the size of here documents, and old seds have small limits too.
1706
1707 rm -f conftest.tail
1708 while :
1709 do
1710 ac_lines=`grep -c . conftest.vals`
1711 # grep -c gives empty output for an empty file on some AIX systems.
1712 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1713 # Write a limited-size here document to conftest.frag.
1714 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1715 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1716 echo 'CEOF
1717 sed -f conftest.frag conftest.in > conftest.out
1718 rm -f conftest.in
1719 mv conftest.out conftest.in
1720 ' >> $CONFIG_STATUS
1721 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1722 rm -f conftest.vals
1723 mv conftest.tail conftest.vals
1724 done
1725 rm -f conftest.vals
1726
1727 cat >> $CONFIG_STATUS <<\EOF
1728 rm -f conftest.frag conftest.h
1729 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1730 cat conftest.in >> conftest.h
1731 rm -f conftest.in
1732 if cmp -s $ac_file conftest.h 2>/dev/null; then
1733 echo "$ac_file is unchanged"
1734 rm -f conftest.h
1735 else
1736 # Remove last slash and all that follows it. Not all systems have dirname.
1737 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1738 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1739 # The file is in a subdirectory.
1740 test ! -d "$ac_dir" && mkdir "$ac_dir"
1741 fi
1742 rm -f $ac_file
1743 mv conftest.h $ac_file
1744 fi
1745 fi; done
1746
1747 EOF
1748 cat >> $CONFIG_STATUS <<EOF
1749
1750 EOF
1751 cat >> $CONFIG_STATUS <<\EOF
1752
1753 exit 0
1754 EOF
1755 chmod +x $CONFIG_STATUS
1756 rm -fr confdefs* $ac_clean_files
1757 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1758